singleton Material(pickup_interior_diesel)
{
    mapTo = "pickup_interior_diesel";
    reflectivityMap[1] = "vehicles/common/pickup/pickup_interior_s_diesel.dds";
    diffuseMap[1] = "vehicles/common/pickup/pickup_interior_d_diesel.dds";
    specularMap[1] = "vehicles/common/pickup/pickup_interior_s_diesel.dds";
    normalMap[1] = "vehicles/common/pickup/pickup_interior_n_diesel.dds";
    reflectivityMap[0] = "vehicles/common/pickup/pickup_interior_s_diesel.dds";
    diffuseMap[0] = "vehicles/common/pickup/pickup_interior_d_diesel.dds";
    specularMap[0] = "vehicles/common/pickup/pickup_interior_s_diesel.dds";
    normalMap[0] = "vehicles/common/pickup/pickup_interior_n_diesel.dds";
    diffuseColor[1] = "0.4 0.4 0.4 1";
    specularPower[1] = "32";
    useAnisotropic[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pickup_gauges_diesel)
{
    mapTo = "pickup_gauges_diesel";
    diffuseMap[0] = "pickup_gauges_d_diesel.dds";
    specularMap[0] = "pickup_gauges_s_diesel.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
};

singleton Material(pickup_gauges_on_diesel)
{
    mapTo = "pickup_gauges_on_diesel";
    diffuseMap[1] = "pickup_gauges_g_diesel.dds";
    specularMap[1] = "pickup_gauges_s_diesel.dds";
    diffuseMap[0] = "pickup_gauges_d_diesel.dds";
    specularMap[0] = "pickup_gauges_s_diesel.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    emissive[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "3 1 0 0.7";
};

singleton Material(pickup)
{
    mapTo = "pickup";
    diffuseMap[2] = "vehicles/common/pickup/pickup_c.dds";
    specularMap[2] = "vehicles/common/pickup/pickup_s.dds";
    normalMap[2] = "vehicles/common/pickup/pickup_n.dds";
    diffuseMap[1] = "vehicles/common/pickup/pickup_d.dds";
    specularMap[1] = "vehicles/common/pickup/pickup_s.dds";
    normalMap[1] = "vehicles/common/pickup/pickup_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/pickup/pickup_n.dds";
    //diffuseMap[3] = "vehicles/common/pickup/pickup_dirt.dds";
    //normalMap[3] = "vehicles/common/pickup/pickup_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    //diffuseColor[3] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(towbed)
{
    mapTo = "towbed";
    diffuseMap[2] = "vehicles/common/pickup/towbed_c.dds";
    specularMap[2] = "vehicles/common/pickup/towbed_s.dds";
    normalMap[2] = "vehicles/common/pickup/towbed_n.dds";
    diffuseMap[1] = "vehicles/common/pickup/towbed_d.dds";
    specularMap[1] = "vehicles/common/pickup/towbed_s.dds";
    normalMap[1] = "vehicles/common/pickup/towbed_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/pickup/towbed_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pushbumper)
{
    mapTo = "pushbumper";
    diffuseMap[2] = "vehicles/common/pickup/pushbumper_c.dds";
    specularMap[2] = "vehicles/common/pickup/pushbumper_s.dds";
    normalMap[2] = "vehicles/common/pickup/pushbumper_n.dds";
    diffuseMap[1] = "vehicles/common/pickup/pushbumper_d.dds";
    specularMap[1] = "vehicles/common/pickup/pushbumper_s.dds";
    normalMap[1] = "vehicles/common/pickup/pushbumper_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/pickup/pushbumper_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pickup_engbay)
{
    mapTo = "pickup_engbay";
    diffuseMap[2] = "vehicles/common/pickup/pickup_c.dds";
    specularMap[2] = "vehicles/common/pickup/pickup_s.dds";
    normalMap[2] = "vehicles/common/pickup/pickup_n.dds";
    diffuseMap[1] = "vehicles/common/pickup/pickup_d.dds";
    specularMap[1] = "vehicles/common/pickup/pickup_s.dds";
    normalMap[1] = "vehicles/common/pickup/pickup_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/pickup/pickup_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("pickup_interior.skin_interior.red")
{
    mapTo = "pickup_interior.skin_interior.red";
    reflectivityMap[1] = "vehicles/common/pickup/pickup_interior_s_diesel.dds";
    diffuseMap[1] = "vehicles/common/pickup/pickup_interior_d_diesel.dds";
    specularMap[1] = "vehicles/common/pickup/pickup_interior_s_diesel.dds";
    normalMap[1] = "vehicles/common/pickup/pickup_interior_n_diesel.dds";
    reflectivityMap[0] = "vehicles/common/pickup/pickup_interior_s_diesel.dds";
    diffuseMap[0] = "vehicles/common/pickup/pickup_interior_d_diesel.dds";
    specularMap[0] = "vehicles/common/pickup/pickup_interior_s_diesel.dds";
    normalMap[0] = "vehicles/common/pickup/pickup_interior_n_diesel.dds";
    diffuseColor[1] = "0.52 0.2 0.2 1";
    specularPower[1] = "32";
    useAnisotropic[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("pickup_interior.skin_interior.blue")
{
    mapTo = "pickup_interior.skin_interior.blue";
    reflectivityMap[1] = "vehicles/common/pickup/pickup_interior_s.dds";
    diffuseMap[1] = "vehicles/common/pickup/pickup_interior_d.dds";
    specularMap[1] = "vehicles/common/pickup/pickup_interior_s.dds";
    normalMap[1] = "vehicles/common/pickup/pickup_interior_n.dds";
    reflectivityMap[0] = "vehicles/common/pickup/pickup_interior_s.dds";
    diffuseMap[0] = "vehicles/common/pickup/pickup_interior_d.dds";
    specularMap[0] = "vehicles/common/pickup/pickup_interior_s.dds";
    normalMap[0] = "vehicles/common/pickup/pickup_interior_n.dds";
    diffuseColor[1] = "0.27 0.42 0.58 1";
    specularPower[1] = "32";
    useAnisotropic[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("pickup_interior.skin_interior.brown")
{
    mapTo = "pickup_interior.skin_interior.brown";
    reflectivityMap[1] = "vehicles/common/pickup/pickup_interior_s.dds";
    diffuseMap[1] = "vehicles/common/pickup/pickup_interior_d.dds";
    specularMap[1] = "vehicles/common/pickup/pickup_interior_s.dds";
    normalMap[1] = "vehicles/common/pickup/pickup_interior_n.dds";
    reflectivityMap[0] = "vehicles/common/pickup/pickup_interior_s.dds";
    diffuseMap[0] = "vehicles/common/pickup/pickup_interior_d.dds";
    specularMap[0] = "vehicles/common/pickup/pickup_interior_s.dds";
    normalMap[0] = "vehicles/common/pickup/pickup_interior_n.dds";
    diffuseColor[1] = "0.62 0.48 0.37 1";
    specularPower[1] = "32";
    useAnisotropic[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("pickup_interior.skin_interior.black")
{
    mapTo = "pickup_interior.skin_interior.black";
    reflectivityMap[1] = "vehicles/common/pickup/pickup_interior_s.dds";
    diffuseMap[1] = "vehicles/common/pickup/pickup_interior_d.dds";
    specularMap[1] = "vehicles/common/pickup/pickup_interior_s.dds";
    normalMap[1] = "vehicles/common/pickup/pickup_interior_n.dds";
    reflectivityMap[0] = "vehicles/common/pickup/pickup_interior_s.dds";
    diffuseMap[0] = "vehicles/common/pickup/pickup_interior_d.dds";
    specularMap[0] = "vehicles/common/pickup/pickup_interior_s.dds";
    normalMap[0] = "vehicles/common/pickup/pickup_interior_n.dds";
    diffuseColor[1] = "0.2 0.2 0.2 1";
    specularPower[1] = "32";
    useAnisotropic[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(roamer_interior)
{
    mapTo = "roamer_interior";
    reflectivityMap[1] = "vehicles/roamer/roamer_interior_s.dds";
    diffuseMap[1] = "vehicles/roamer/roamer_interior_d.dds";
    specularMap[1] = "vehicles/roamer/roamer_interior_s.dds";
    normalMap[1] = "vehicles/roamer/roamer_interior_n.dds";
    reflectivityMap[0] = "vehicles/roamer/roamer_interior_s.dds";
    diffuseMap[0] = "vehicles/roamer/roamer_interior_d.dds";
    specularMap[0] = "vehicles/roamer/roamer_interior_s.dds";
    normalMap[0] = "vehicles/roamer/roamer_interior_n.dds";
    diffuseColor[1] = "1 1 1 1";
    specularPower[1] = "32";
    useAnisotropic[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("roamer_interior.skin_interior.black")
{
    mapTo = "roamer_interior.skin_interior.black";
    reflectivityMap[1] = "vehicles/roamer/roamer_interior_s.dds";
    diffuseMap[1] = "vehicles/roamer/roamer_interior_d.dds";
    specularMap[1] = "vehicles/roamer/roamer_interior_s.dds";
    normalMap[1] = "vehicles/roamer/roamer_interior_n.dds";
    reflectivityMap[0] = "vehicles/roamer/roamer_interior_s.dds";
    diffuseMap[0] = "vehicles/roamer/roamer_interior_d.dds";
    specularMap[0] = "vehicles/roamer/roamer_interior_s.dds";
    normalMap[0] = "vehicles/roamer/roamer_interior_n.dds";
    diffuseColor[1] = "0.37 0.37 0.37 1";
    specularPower[1] = "32";
    useAnisotropic[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("roamer_interior.skin_interior.brown")
{
    mapTo = "roamer_interior.skin_interior.brown";
    reflectivityMap[1] = "vehicles/roamer/roamer_interior_s.dds";
    diffuseMap[1] = "vehicles/roamer/roamer_interior_d.dds";
    specularMap[1] = "vehicles/roamer/roamer_interior_s.dds";
    normalMap[1] = "vehicles/roamer/roamer_interior_n.dds";
    reflectivityMap[0] = "vehicles/roamer/roamer_interior_s.dds";
    diffuseMap[0] = "vehicles/roamer/roamer_interior_d.dds";
    specularMap[0] = "vehicles/roamer/roamer_interior_s.dds";
    normalMap[0] = "vehicles/roamer/roamer_interior_n.dds";
    diffuseColor[1] = "0.8 0.65 0.5 1";
    specularPower[1] = "32";
    useAnisotropic[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pickup_glass)
{
    mapTo = "pickup_glass";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/common/pickup/pickup_glass_d.dds";
    opacityMap[0] = "vehicles/common/pickup/pickup_glass_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseMap[1] = "vehicles/common/pickup/pickup_glass_da.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pickup_glass_int)
{
    mapTo = "pickup_glass_int";
    diffuseMap[0] = "vehicles/common/pickup/pickup_glass_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    doubleSided = "0";
    alphaRef = "0";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pickup_glass_dmg)
{
    mapTo = "pickup_glass_dmg";
    diffuseMap[0] = "vehicles/common/pickup/pickup_glass_dmg_d.dds";
    opacityMap[0] = "vehicles/common/pickup/pickup_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "vehicles/common/pickup/pickup_glass_dmg_d.dds";
    specularMap[1] = "vehicles/common/glass_dmg_s.dds";
    normalMap[1] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1.5";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pickup_windshield_dmg)
{
    mapTo = "pickup_windshield_dmg";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/common/pickup/pickup_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/windshield_dmg_n.dds";
    specularPower[0] = "32";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pickup_highbeam)
{
    mapTo = "pickup_highbeam";
};

singleton Material(pickup_lowbeam)
{
    mapTo = "pickup_lowbeam";
};

singleton Material(pickup_signal_L)
{
    mapTo = "pickup_signal_L";
};

singleton Material(pickup_signal_R)
{
    mapTo = "pickup_signal_R";
};

singleton Material(pickup_runningsignal_L)
{
    mapTo = "pickup_runningsignal_L";
};

singleton Material(pickup_runningsignal_R)
{
    mapTo = "pickup_runningsignal_R";
};

singleton Material(pickup_runninglight)
{
    mapTo = "pickup_runninglight";
};

singleton Material(pickup_taillight_L)
{
    mapTo = "pickup_taillight_L";
};

singleton Material(pickup_taillight_R)
{
    mapTo = "pickup_taillight_R";
};

singleton Material(pickup_reverselight)
{
    mapTo = "pickup_reverselight";
};

singleton Material(pickup_chmsl)
{
    mapTo = "pickup_chmsl";
};

singleton Material(pickup_lights)
{
    mapTo = "pickup_lights";
    diffuseMap[1] = "pickup_lights_d.dds";
    specularMap[1] = "pickup_lights_s.dds";
    normalMap[1] = "pickup_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "pickup_lights_n.dds";
    //diffuseMap[2] = "pickup_lights_dirt.dds";
    //normalMap[2] = "pickup_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    //diffuseColor[2] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pickup_lights_on)
{
    mapTo = "pickup_lights_on";
    diffuseMap[2] = "pickup_lights_g.dds";
    specularMap[2] = "pickup_lights_s.dds";
    normalMap[2] = "pickup_lights_n.dds";
    diffuseMap[1] = "pickup_lights_d.dds";
    specularMap[1] = "pickup_lights_s.dds";
    normalMap[1] = "pickup_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "pickup_lights_n.dds";
    //diffuseMap[3] = "pickup_lights_dirt.dds";
    //normalMap[3] = "pickup_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.12";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    //diffuseColor[3] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pickup_lights_on_intense)
{
    mapTo = "pickup_lights_on_intense";
    diffuseMap[2] = "pickup_lights_g.dds";
    specularMap[2] = "pickup_lights_s.dds";
    normalMap[2] = "pickup_lights_n.dds";
    diffuseMap[1] = "pickup_lights_d.dds";
    specularMap[1] = "pickup_lights_s.dds";
    normalMap[1] = "pickup_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "pickup_lights_n.dds";
    //diffuseMap[3] = "pickup_lights_dirt.dds";
    //normalMap[3] = "pickup_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.20";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    //diffuseColor[3] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pickup_lights_dmg)
{
    mapTo = "pickup_lights_dmg";
    diffuseMap[1] = "pickup_lights_dmg_d.dds";
    specularMap[1] = "pickup_lights_dmg_s.dds";
    normalMap[1] = "pickup_lights_dmg_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "pickup_lights_dmg_n.dds";
    //diffuseMap[2] = "pickup_lights_dirt.dds";
    //normalMap[2] = "pickup_lights_dmg_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    //diffuseColor[2] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pickup_altfueltank)
{
    mapTo = "pickup_altfueltank";
    diffuseMap[1] = "pickup_altfueltank_d.dds";
    specularMap[1] = "pickup_altfueltank_s.dds";
    normalMap[1] = "pickup_altfueltank_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "pickup_altfueltank_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "object";
};

singleton Material(pickup_bedrack)
{
    mapTo = "pickup_bedrack";
    diffuseMap[1] = "vehicles/pickup/pickup_bedrack_d.dds";
    specularMap[1] = "vehicles/pickup/pickup_bedrack_s.dds";
    normalMap[1] = "vehicles/pickup/pickup_bedrack_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/pickup/pickup_bedrack_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "object";
};